# Smart wallet vs EOA

{% hint style="info" %}

### TL;DR; <a href="#tl_dr" id="tl_dr"></a>

Loopring Smart Wallet is a wallet based on a smart contract, granting it special features and functionality. An EOA (Externally Owned Account) wallet is not based on a smart contract, and so lacks similar features.
{% endhint %}

#### Loopring Smart Wallet <a href="#loopring_smart_wallet" id="loopring_smart_wallet"></a>

The Loopring Smart Wallet is a non-custodial wallet. It will encrypt and store your secret key on your phone, which[ nobody else can access](https://desk.zoho.com/portal/loopring/en/kb/articles/does-loopring-have-access-to-my-funds). It is a[ social recovery](https://desk.zoho.com/portal/loopring/en/kb/articles/security-specs) wallet which utilizes [Guardians](https://desk.zoho.com/portal/loopring/en/kb/articles/security-specs) for the recovery process. Because it is based on a smart contract, it has other special features like daily limits, lock protection, [Red Packets](https://desk.zoho.com/portal/loopring/en/kb/articles/create-red-packets-on-loopring-wallet), and many more that you can’t get with a normal crypto wallet.  For instance:

* If you lose or break your phone, you will need to download the Loopring Smart Wallet app on your new device.  Follow the instructions for [recovering the wallet](https://desk.zoho.com/portal/loopring/en/kb/articles/how-do-i-recover) to create a new secret key and restore access to your funds.
* You can easily [migrate](https://desk.zoho.com/portal/loopring/en/kb/articles/i-ve-got-a-new-phone-how-do-i-move-migrate-my-wallet) to a new device as well.  It is simple, secure, and free.
* Additionally, you can quickly [link the wallet to the Loopring DEX](https://desk.zoho.com/portal/loopring/en/kb/articles/how-do-i-connect-loopringsmartwallet-webdex) and easily view your funds in the browser.
* Currently, we integrate with Ramp and Banxa to easily [purchase funds directly into your wallet](https://desk.zoho.com/portal/loopring/en/kb/articles/what-is-a-fiat-on-ramp) without the need to use a CEX (Centralized Exchange).

#### EOA Wallets <a href="#eoa_wallets" id="eoa_wallets"></a>

EOA wallets like MetaMask use a recovery phrase called a seed phrase. Anyone who knows your seed phrase will be able to gain access to your wallet. EOA wallets are recovered using the seed phrase, and lack the kinds of special features unique to smart wallets.&#x20;

#### Loopring Smart Wallet vs MetaMask <a href="#loopring_smart_wallet_vs_metamask" id="loopring_smart_wallet_vs_metamask"></a>

|                     | Loopring Wallet | MetaMask |
| ------------------- | --------------- | -------- |
| Social Recovery     | Yes             | No       |
| Lock your Wallet    | Yes             | No       |
| Whitelist Addresses | Yes             | No       |
| Daily Limit/Quota   | Yes             | No       |
| On-Ramp Fiat        | Yes             | Yes      |
| LayerSwap to L2     | Yes             | Yes      |
| Link to website DEX | Yes             | Yes      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-wallet.loopring.io/faqs/general-faqs/smart-wallet-vs-eoa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
